import java.awt.event.ActionListener;
import java.lang.reflect.InvocationTargetException;

import javax.swing.SwingUtilities;

import simulation_Lab12Version.AnimationController_Lab12;
import simulation_Lab12Version.AnimationModel_Lab12;
import simulation_Lab12Version.Model;
import simulation_Lab12Version.SimulationRunnable;
import simulation_Lab12Version.View;

/**
 * This app implements the required functionality, as per the specification
 * contained with the main method body (exercise for a labtest)
 * 
 * @author [INSERT YOUR NAME/STUDENT NUMBER HERE]
 * 
 */
public class AppDriver {

	public static void main(String[] args) throws InvocationTargetException,
			InterruptedException {

		/**
		 * Explore the controller in order to understand the user actions
		 * supported in this interactive game. Modify the components to
		 * implement different types of behaviours (in terms of sprite
		 * behaviours, projectile behaviours, shooter behaviours)
		 * 
		 */
		Model theModel = new AnimationModel_Lab12();
		View theView = new View(theModel);
		ActionListener dude2 = new AnimationController_Lab12(theModel, theView);
		SimulationRunnable theSimulation = new SimulationRunnable(dude2);

		SwingUtilities.invokeAndWait(theSimulation);
	}
}
